# $Revision: 1.18.2.2 $, $Date: 2006/05/18 21:08:16 $
Summary:	C++ wrappers for libgnome
Summary(pl):	Interfejsy C++ dla libgnome
Name:		libgnomemm
Version:	2.14.0
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgnomemm/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	8e31905b9732fdb099381569736829fa
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.8.0
BuildRequires:	libgnome-devel >= 2.14.0
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
Requires:	libgnome >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnome.

%description -l pl
Interfejsy C++ dla libgnome.

%package devel
Summary:	Devel files for libgnomemm
Summary(pl):	Pliki nagwkowe dla libgnomemm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.8.0
Requires:	libgnome-devel >= 2.14.0

%description devel
Devel files for libgnomemm.

%description devel -l pl
Pliki nagwkowe dla libgnomemm.

%package static
Summary:	libgnomemm static library
Summary(pl):	Biblioteka statyczna libgnomemm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomemm static library.

%description static -l pl
Biblioteka statyczna libgnomemm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgnomemm*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomemm*.so
%{_libdir}/libgnomemm*.la
%{_libdir}/%{name}-2.6
%{_includedir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomemm*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomemm.spec,v $
Revision 1.18.2.2  2006/05/18 21:08:16  baggins
- release 2
- strict reqs

Revision 1.18.2.1  2006/05/15 13:18:27  baggins
- merged from HEAD

Revision 1.19  2006/03/16 17:13:09  freetz
- 2.14.0

Revision 1.18  2005/11/18 17:42:51  freetz
- 2.12.1

Revision 1.17  2005/09/09 12:49:36  freetz
- 2.12.0, bumped BRs

Revision 1.16  2005/03/11 21:21:00  grzegol
- updated to 2.10.0

Revision 1.15  2004/09/18 09:37:09  aflinta
- up to version 2.8.0

Revision 1.14  2004/08/17 21:42:41  ankry
- rel. 3 to rebuild

Revision 1.13  2004/04/19 18:45:44  qboosh
- libtoolize (fixes build on amd64) and co., release 2

Revision 1.12  2004/04/12 22:00:38  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.11  2004/03/10 10:36:28  andree
- copy config.sub

Revision 1.10  2003/12/29 19:03:09  qboosh
- fixed -static Summary (from DEVEL)

Revision 1.9.2.8  2004/04/09 14:47:07  grzegol
- rel. 5 to rebuild with gtkmm-2.3.8

Revision 1.9.2.7  2004/03/31 18:07:26  grzegol
- rel. 4 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.9.2.6  2004/03/15 20:11:42  grzegol
- rel. 3 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.9.2.5  2004/03/04 16:24:47  grzegol
- rel. 2 to rebuild with gtkmm-2.3.5

Revision 1.9.2.4  2004/02/14 17:59:58  grzegol
- updated to 2.5.1

Revision 1.9.2.3  2004/02/07 15:33:58  grzegol
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3

Revision 1.9.2.2  2004/01/24 15:30:19  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.9.2.1  2003/12/29 16:46:00  grzegol
- updated to 2.5.0
- fixed typo in -static Summary

Revision 1.9  2003/10/29 18:23:46  grzegol
- updated to 2.0.1
- removed outdated pkgconfig patch

Revision 1.8  2003/10/12 21:04:52  grzegol
- added pkgconfig patch (s/-lgnomemm-1.3/-lgnomemm-2.0/ in .pc file)
- rel. 2

Revision 1.7  2003/10/09 13:47:09  qboosh
- added some docs

Revision 1.6  2003/10/09 13:19:09  qboosh
- BR: pkgconfig

Revision 1.5  2003/10/09 12:53:18  qboosh
- -devel deps

Revision 1.4  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.3  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:49:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/10 00:47:15  grzegol
- new
